curl --request POST \
--url https://apiany.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedance-2.0",
"prompt": "A cinematic launch shot for an AI API platform",
"duration": "10s",
"resolution": "720p",
"ratio": "16:9"
}
'{
"task_id": "task_123",
"status": "pending",
"poll_url": "/v1/tasks/task_123",
"model": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}Videogenerierungsaufgabe erstellen
Erstellt eine asynchrone Videogenerierungsaufgabe und gibt eine task_id zurück.
curl --request POST \
--url https://apiany.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedance-2.0",
"prompt": "A cinematic launch shot for an AI API platform",
"duration": "10s",
"resolution": "720p",
"ratio": "16:9"
}
'{
"task_id": "task_123",
"status": "pending",
"poll_url": "/v1/tasks/task_123",
"model": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
"wan3.0-prime-text-to-video"
"wan3.0-prime-image-to-video"
"wan3.0-prime-reference-video"
Output duration. Wan 3.0 Prime requires an integer from 2 to 30 seconds.
5
Resolution or quality alias.
"720p"
Wan 3.0 Prime output quality.
480p, 720p, 1080p "16:9"
Wan 3.0 Prime output aspect ratio.
adaptive, 16:9, 9:16, 1:1, 4:3, 3:4 Request synchronized audio when the selected model supports it.
Required first frame for wan3.0-prime-image-to-video.
Optional final frame for wan3.0-prime-image-to-video.
Ordered image references for wan3.0-prime-reference-video.
10Ordered video references for wan3.0-prime-reference-video.
5Ordered audio references for wan3.0-prime-reference-video.
5Optional Wan 3.0 Prime reference context. file_url and link_url are mutually exclusive.
Show child attributes
Show child attributes